import { JavaObject } from '../../../java/lang/JavaObject';
export declare class NationalitaetKatalogEintrag extends JavaObject {
    id: String | null;
    land: String | null;
    staatsangehoerigkeit: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): NationalitaetKatalogEintrag;
    static transpilerToJSON(obj: NationalitaetKatalogEintrag): string;
    static transpilerToJSONPatch(obj: Partial<NationalitaetKatalogEintrag>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_kataloge_NationalitaetKatalogEintrag(obj: unknown): NationalitaetKatalogEintrag;
